---
updatedAt: 2025-09-18T21:54:03.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# eth_getUncleCountByBlockHash

Returns the number of uncles for the block matching the given block hash.

> 📘 Supported on Arbitrum One (Nitro) only.

## Parameters

* `hash` - The Hash of the block to get uncles for.

## Returns

* `uncles` - Integer value of the number of uncles in the block encoded as a hexadecimal.

## API Endpoint

The format of an Arbitrum Nova API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/arbitrum-nitro/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/arbitrum-nitro/`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/arbitrum-nitro/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getUncleCountByBlockHash","params":["0x829df9bb801fc0494abf2f443423a49ffa32964554db71b098d332d87b70a48b"],"id":1,"jsonrpc":"2.0"}'
```

**Result**

```
```